const {By,Key,Builder} = require("selenium-webdriver");
require("chromedriver");
 
async function example(){
 
       var searchString = "packt publishing";
 
       // Czekamy na poprawne skompilowanie i uruchomienie przeglądarki
       let driver = await new Builder().forBrowser("chrome").build();
 
        // Pobieramy w przeglądarce stronę http://google.com za pomocą kodu
        await driver.get("http://google.com");
            
        // Wysyłamy zapytanie wyszukiwania przez przekazanie wartości w searchString
        await driver.findElement(By.name("q")).sendKeys(searchString,Key.RETURN);
 
        // Weryfikujemy tytuł strony i wuypisujemy go
        var title = await driver.getTitle();
        console.log('Title is:',title);
 
        // Zawsze bezpiecznie jest zamknąć przeglądarkę po wykonaniu kodu
        await driver.quit();
 
}
 
example()